<?php
namespace Claromentis\Gallery\Controller;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_66e78cb3ecb" . "e9e2ac0ef58f" . "a36e762bb" => base64_decode("bGlrZXNfY29tcG9" . "uZW50Lm9iamVjdF" . "9pZA=="), "_e05e002" . "2a2e5ad3" . "44b9c4a0" . "d3f64e1a" . "5" => base64_decode("bWVzc2" . "FnZQ=="), "_0bc7588938" . "bfc7dc40d43" . "8d105dcdf1c" => base64_decode("YWxidW" . "0="), "_32283335abba069bb099a4714598c" . "28b" => base64_decode("Z2FsbGVyeS9pbmNsdWRlcy9pbWFnZV9" . "jb21tZW50cy5odG1s"), "_4be135064c" . "4d55c13e6af" . "60c45cb1fda" => base64_decode("Z2FsbGVyeS5wZXJtaXN" . "zaW9ucw=="), "_75d423257" . "ba448155cc" . "97033e61f4" . "26f" => base64_decode("Z2FsbGVyeS9pbmNsdWRlcy9p" . "bWFnZV9saWtlcy5odG1s"), "_3c438e5e634" . "45b53f7de519" . "13730eeab" => base64_decode("bn" . "Vs" . "bA" . "=="), "ima" . "ge" => base64_decode("aW1h" . "Z2U="), "_8000500334026c617596255" . "d3914c33d" => base64_decode("WW91IGRvbid0IGhhdmUgcGVybWlzc2lvbiB" . "0byB2aWV3IHRoaXMgaW1hZ2U="), "_0c5123aa744f69bbc0e8b3ea2f6e847" . "d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_1c8a00652c6c" . "89e9e0a7d896c" . "b82a2bd" => base64_decode("Y29tbWVudHNfY29t" . "cG9uZW50Lm9iamVj" . "dF9pZA=="), "_cd644f263509b3f84690c" . "7c5d4bcdf18" => base64_decode("Z2FsbGVyeS9pbmNsdWRlcy9pbWFnZV9tZXRhZGF0YS5" . "odG1s"), "_5452ca1b18704a7b6c2" . "d7e7a53e4ae47" => base64_decode("Z2FsbGVyeS5ub19p" . "bWFnZV9pZA=="), "_4b5e91a0a6f7f8" . "22ac389ad9a3fb0" . "ee2" => base64_decode("c3VjY" . "2Vzcw" . "=="));
use Claromentis\Gallery\GalleryPermissions;
use Claromentis\Core\Application;
use Claromentis\Core\Http\gpc;
use Claromentis\Core\Http\JsonPrettyResponse;
use Claromentis\Core\Http\TemplaterCallResponse;
use Exception;
use Image;
use ImageAlbum;
use ImageLightbox;
use InvalidArgumentException;
use Claromentis\Core\Http\SymfonyRequest;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpFoundation\JsonResponse;
use TokenException;
class ImageDetailsController
{
    
    
    
    
    
    
    
    
    
    
    
    
    public function ValidateImage(SymfonyRequest $request)
    {
        global $g_application;
        $_84e255a4ec669726bc592e3153ce97c1 = $g_application[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4be135064c4d55c1" . "3e6af60c45cb1fda"]];
        if (!$request->attributes->has($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["i" . "m" . "a" . "g" . "e"]) || !$request->attributes->get($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["ima" . "ge"])) {
            throw new InvalidArgumentException($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_5452ca1b18704a7b6" . "c2d7e7a53e4ae47"]));
        }
        $_0813911845a745577176d995fee240ad = $request->attributes->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["im" . "ag" . "e"]);
        $image = new Image();
        $image->Load($_0813911845a745577176d995fee240ad);
        if (!$image->GetId() || !$image->GetAlbumId()) {
            throw new Exception($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5452ca1b1" . "8704a7b6c2" . "d7e7a53e4a" . "e47"]));
        }
        $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($image->GetAlbumID());
        if (!$_0bc7588938bfc7dc40d438d105dcdf1c->UserHasPermission(PERM_VIEW) && !$_84e255a4ec669726bc592e3153ce97c1->CanIManageAlbums()) {
            throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_8000500334026c6175962" . "55d3914c33d"]);
        }
        $request->attributes->set($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["imag" . "e"], $image);
        $request->attributes->set($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0bc7588938b" . "fc7dc40d438d" . "105dcdf1c"], $_0bc7588938bfc7dc40d438d105dcdf1c);
        return null;
    }
    
    
    
    
    
    
    
    
    public function GetComments(Application $app, $image)
    {
        $args = [$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_1c8a00652c6c89e9e0a7d896cb8" . "2a2bd"] => $image->GetId()];
        return new TemplaterCallResponse($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_32283335abba069bb099a4714598c2" . "8b"], $args);
    }
    
    
    
    
    
    
    
    
    
    
    public function GetMetadata(Application $app, Image $image)
    {
        
        
        global $args, $datasources;
        
        
        
        
        $_25941f62b00d37649aecb69932bb2fba = [0 => $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3c438e5e63445b53f7de51913730ee" . "ab"]];
        $_e0f99d1e2fd6c8ce39dd84c5242ed7ed = [];
        $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($image->GetAlbumId());
        $_95aa76f19a87d9905f9a740fac0bde2e = $image->GetImageTags();
        $_0bc7588938bfc7dc40d438d105dcdf1c->PrepareTagOptions($_e0f99d1e2fd6c8ce39dd84c5242ed7ed, $_25941f62b00d37649aecb69932bb2fba);
        $_0bc7588938bfc7dc40d438d105dcdf1c->GetTagsAsHTML($args, $datasources, $_95aa76f19a87d9905f9a740fac0bde2e, $_e0f99d1e2fd6c8ce39dd84c5242ed7ed);
        $image->ShowMetadataFields($_25941f62b00d37649aecb69932bb2fba, false);
        $_fd5a3a643834299cbdadfc3540ba0bcb = new TemplaterCallResponse($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_cd644f2" . "63509b3f" . "84690c7c" . "5d4bcdf1" . "8"], $args);
        $_fd5a3a643834299cbdadfc3540ba0bcb->SetDatasrc($datasources);
        return $_fd5a3a643834299cbdadfc3540ba0bcb;
    }
    
    
    
    
    
    
    
    
    public function GetLikes(Application $app, $image)
    {
        $args = [$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_66e78cb3ecbe9e2ac0ef58fa36e" . "762bb"] => $image->GetId()];
        return new TemplaterCallResponse($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_75d423257ba4" . "48155cc97033e" . "61f426f"], $args);
    }
    
    
    
    
    
    
    
    
    
    
    public function Favorite(Application $app, ServerRequestInterface $request, $image)
    {
        gpc::CheckToken($request);
        $_b30480f39eddbe8df8bb6d564d5eb7b9 = new ImageLightbox($app->security->GetUserId());
        if (!$_b30480f39eddbe8df8bb6d564d5eb7b9->AddToLightbox([$image->GetId()])) {
            return new JsonPrettyResponse([$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4b5e91a0a" . "6f7f822ac3" . "89ad9a3fb0" . "ee2"] => false, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e05e0022a2e5ad344b" . "9c4a0d3f64e1a5"] => $_b30480f39eddbe8df8bb6d564d5eb7b9->GetErrMsg()], 500);
        }
        return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_4b5e91a0" . "a6f7f822a" . "c389ad9a3" . "fb0ee2"] => true]);
    }
    
    
    
    
    
    
    
    
    
    
    public function Unfavorite(Application $app, ServerRequestInterface $request, $image)
    {
        gpc::CheckToken($request);
        $_b30480f39eddbe8df8bb6d564d5eb7b9 = new ImageLightbox($app->security->GetUserId());
        if (!$_b30480f39eddbe8df8bb6d564d5eb7b9->DeleteFromLightbox([$image->GetId()])) {
            return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4b5e91a0a6" . "f7f822ac389" . "ad9a3fb0ee2"] => false, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e05e0022a2e5ad344" . "b9c4a0d3f64e1a5"] => $_b30480f39eddbe8df8bb6d564d5eb7b9->GetErrMsg()], 500);
        }
        return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4b5e91a0a6f7f822ac389ad9" . "a3fb0ee2"] => true]);
    }
}